package com.steering.mes.zgmil.entity;

import java.io.Serializable;


/**
 * 数据库表FeedRack所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-06-29
 */
public class MilOfflineReslutEntity  implements Serializable{
	   /**
     * 1#台下线支数
     */
    private String offlineNum1;
    /**
     * 2#台下线支数
     */
    private String offlineNum2;
    /**
     * 3#台下线支数
     */
    private String offlineNum3;
    /**
     * 1#返线支数
     */
    private String backlineNum1;
    /**
     * 2#返线支数
     */
    private String backlineNum2;
    /**
     * 3#返线支数
     */
    private String backlineNum3;
	 /** VersionUID */
    private static final long serialVersionUID = 1L;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 外径（实际）
     */
    private String diameter;
    /**
     * 壁厚（实际）
     */
    private String thickness;
    /**
     * 长度（实际）
     */
    private String length;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 顺序号
     */
    private String seq;
    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     */
    private String offlinePro;
    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     */
    private String realTimeStatus;
    /**
     * 下线支数
     */
    private String offlineNum;
    /**
     * 返线支数
     */
    private String backlineNum;
    /**
     * 组炉支数
     */
    private String groupNum;
    /**
     * 最终下线支数
     */
    private String finalNum;
    /**
     * 料位
     */
    private String matLocation;
    /**
     * 处理方法
     */
    private String handleMethod;
    /**
     * 组批标识
     */
    private String zpFlag;
    /**
     * 下线管等级（0-不常用 1-常用 ）
     */
    private String offLevel;
    /**
     * 状态（0-下线 1-处理完成）
     */
    private String status;
    /**
     * 下线方式（0-批量下线 1-整炉下线）
     */
    private String typeFlag;
    /**
     * 下线时间
     */
    private String offlineTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;

    public MilOfflineReslutEntity(){
        offlineNum1 = "";
        offlineNum2 = "";
        offlineNum3 = "";
        backlineNum1 = "";
        backlineNum2 = "";
        backlineNum3 = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        diameter = "";
        thickness = "";
        length = "";
        plineCode = "";
        seq = "";
        offlinePro = "";
        realTimeStatus = "";
        offlineNum = "";
        backlineNum = "";
        groupNum = "";
        finalNum = "";
        matLocation = "";
        handleMethod = "";
        zpFlag = "";
        offLevel = "";
        status = "";
        typeFlag = "";
        offlineTime = "";
        remark = "";
        colUser = "";
        colShift = "";
        colGroup = "";
    }

    
    /**
     * 1#台下线支数
     * @return value
     */
    public String getOfflineNum1() {
        return offlineNum1;
    }

    /**
     * 1#台下线支数
     * @param offlineNum1 value
     */
    public void setOfflineNum1(String offlineNum1) {
        this.offlineNum1 = offlineNum1;
    }

    /**
     * 2#台下线支数
     * @return value
     */
    public String getOfflineNum2() {
        return offlineNum2;
    }

    /**
     * 2#台下线支数
     * @param offlineNum2 value
     */
    public void setOfflineNum2(String offlineNum2) {
        this.offlineNum2 = offlineNum2;
    }

    /**
     * 3#台下线支数
     * @return value
     */
    public String getOfflineNum3() {
        return offlineNum3;
    }

    /**
     * 3#台下线支数
     * @param offlineNum3 value
     */
    public void setOfflineNum3(String offlineNum3) {
        this.offlineNum3 = offlineNum3;
    }

    /**
     * 1#返线支数
     * @return value
     */
    public String getBacklineNum1() {
        return backlineNum1;
    }

    /**
     * 1#返线支数
     * @param backlineNum1 value
     */
    public void setBacklineNum1(String backlineNum1) {
        this.backlineNum1 = backlineNum1;
    }

    /**
     * 2#返线支数
     * @return value
     */
    public String getBacklineNum2() {
        return backlineNum2;
    }

    /**
     * 2#返线支数
     * @param backlineNum2 value
     */
    public void setBacklineNum2(String backlineNum2) {
        this.backlineNum2 = backlineNum2;
    }

    /**
     * 3#返线支数
     * @return value
     */
    public String getBacklineNum3() {
        return backlineNum3;
    }

    /**
     * 3#返线支数
     * @param backlineNum3 value
     */
    public void setBacklineNum3(String backlineNum3) {
        this.backlineNum3 = backlineNum3;
    }

    
    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 外径（实际）
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 外径（实际）
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 壁厚（实际）
     * @return value
     */
    public String getThickness() {
        return thickness;
    }

    /**
     * 壁厚（实际）
     * @param thickness value
     */
    public void setThickness(String thickness) {
        this.thickness = thickness;
    }

    /**
     * 长度（实际）
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 长度（实际）
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 顺序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 顺序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @return value
     */
    public String getOfflinePro() {
        return offlinePro;
    }

    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @param offlinePro value
     */
    public void setOfflinePro(String offlinePro) {
        this.offlinePro = offlinePro;
    }

    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     * @return value
     */
    public String getRealTimeStatus() {
        return realTimeStatus;
    }

    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     * @param realTimeStatus value
     */
    public void setRealTimeStatus(String realTimeStatus) {
        this.realTimeStatus = realTimeStatus;
    }

    /**
     * 下线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getBacklineNum() {
        return backlineNum;
    }

    /**
     * 返线支数
     * @param backlineNum value
     */
    public void setBacklineNum(String backlineNum) {
        this.backlineNum = backlineNum;
    }

    /**
     * 组炉支数
     * @return value
     */
    public String getGroupNum() {
        return groupNum;
    }

    /**
     * 组炉支数
     * @param groupNum value
     */
    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    /**
     * 最终下线支数
     * @return value
     */
    public String getFinalNum() {
        return finalNum;
    }

    /**
     * 最终下线支数
     * @param finalNum value
     */
    public void setFinalNum(String finalNum) {
        this.finalNum = finalNum;
    }

    /**
     * 料位
     * @return value
     */
    public String getMatLocation() {
        return matLocation;
    }

    /**
     * 料位
     * @param matLocation value
     */
    public void setMatLocation(String matLocation) {
        this.matLocation = matLocation;
    }

    /**
     * 处理方法
     * @return value
     */
    public String getHandleMethod() {
        return handleMethod;
    }

    /**
     * 处理方法
     * @param handleMethod value
     */
    public void setHandleMethod(String handleMethod) {
        this.handleMethod = handleMethod;
    }

    /**
     * 组批标识
     * @return value
     */
    public String getZpFlag() {
        return zpFlag;
    }

    /**
     * 组批标识
     * @param zpFlag value
     */
    public void setZpFlag(String zpFlag) {
        this.zpFlag = zpFlag;
    }

    /**
     * 下线管等级（0-不常用 1-常用 ）
     * @return value
     */
    public String getOffLevel() {
        return offLevel;
    }

    /**
     * 下线管等级（0-不常用 1-常用 ）
     * @param offLevel value
     */
    public void setOffLevel(String offLevel) {
        this.offLevel = offLevel;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 下线方式（0-批量下线 1-整炉下线）
     * @return value
     */
    public String getTypeFlag() {
        return typeFlag;
    }

    /**
     * 下线方式（0-批量下线 1-整炉下线）
     * @param typeFlag value
     */
    public void setTypeFlag(String typeFlag) {
        this.typeFlag = typeFlag;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineTime() {
        return offlineTime;
    }

    /**
     * 下线时间
     * @param offlineTime value
     */
    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
}
